import * as React from 'react';
import {IconWrapper, IconProps} from './icon_wrapper';

const SegmentIcon: React.StatelessComponent<IconProps> = ({ className }): JSX.Element => (
    <div className={`${className} icon--segment`}>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 25 25" width="25" height="25">
            <path d=" M 17.87 15.66 L 21.68 19.47 C 22.905 17.879 23.685 15.991 23.94 14 L 18.55 14 C 18.41 14.585 18.18 15.145 17.87 15.66 Z " fill="none" />
            <path d=" M 12.53 18.69 C 9.406 18.673 6.78 16.341 6.392 13.242 C 6.005 10.142 7.977 7.236 11 6.45 L 11 1.06 C 6.207 1.704 2.326 5.274 1.284 9.997 C 0.243 14.72 2.263 19.591 6.341 22.191 C 10.419 24.791 15.687 24.567 19.53 21.63 L 15.71 17.81 C 14.751 18.389 13.651 18.693 12.53 18.69 Z " fill="none" />
            <path d=" M 24.48 13 L 18.17 13 C 17.92 13.003 17.705 13.177 17.65 13.42 C 17.521 14.137 17.242 14.819 16.83 15.42 C 16.683 15.628 16.709 15.911 16.89 16.09 L 21.35 20.55 C 21.448 20.648 21.581 20.702 21.72 20.7 L 21.72 20.7 C 21.866 20.693 22.002 20.628 22.1 20.52 C 23.763 18.542 24.77 16.096 24.98 13.52 C 24.991 13.376 24.94 13.234 24.84 13.13 C 24.741 13.042 24.612 12.996 24.48 13 Z  M 21.68 19.47 L 17.87 15.66 C 18.18 15.145 18.41 14.585 18.55 14 L 23.94 14 C 23.685 15.991 22.905 17.879 21.68 19.47 Z " />
            <path d=" M 16.15 16.83 C 16.051 16.734 15.918 16.68 15.78 16.68 C 15.673 16.68 15.569 16.712 15.48 16.77 C 14.602 17.384 13.552 17.706 12.48 17.69 C 9.771 17.712 7.498 15.654 7.25 12.957 C 7.003 10.26 8.863 7.822 11.53 7.35 C 11.793 7.316 11.992 7.095 12 6.83 L 12 0.52 C 11.998 0.377 11.941 0.241 11.84 0.14 C 11.745 0.051 11.62 0.001 11.49 0 L 11.44 0 C 6.066 0.475 1.601 4.338 0.358 9.587 C -0.885 14.836 1.375 20.291 5.965 23.125 C 10.555 25.959 16.444 25.534 20.58 22.07 C 20.69 21.974 20.755 21.836 20.76 21.69 C 20.768 21.545 20.713 21.403 20.61 21.3 L 16.15 16.83 Z  M 12.53 24 C 6.459 24.008 1.424 19.304 1.02 13.247 C 0.616 7.189 4.982 1.858 11 1.06 L 11 6.45 C 7.977 7.236 6.005 10.142 6.392 13.242 C 6.78 16.341 9.406 18.673 12.53 18.69 C 13.651 18.693 14.751 18.389 15.71 17.81 L 19.53 21.63 C 17.518 23.164 15.06 23.996 12.53 24 Z " />
            <path d=" M 13.48 7.35 C 15.6 7.741 17.259 9.4 17.65 11.52 C 17.698 11.769 17.916 11.95 18.17 11.95 L 24.48 11.95 C 24.625 11.949 24.763 11.887 24.86 11.78 C 24.96 11.676 25.011 11.534 25 11.39 C 24.486 5.329 19.681 0.519 13.62 0 C 13.474 -0.011 13.331 0.039 13.223 0.137 C 13.115 0.235 13.052 0.374 13.05 0.52 L 13.05 6.83 C 13.05 7.084 13.231 7.302 13.48 7.35 L 13.48 7.35 Z " />
        </svg>
    </div>
)

SegmentIcon.displayName = "SegmentIcon";

export default IconWrapper(SegmentIcon);
